<HTML>
<HEAD>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
   <META NAME="Author" CONTENT="Ulrich Luckas">
   <META NAME="GENERATOR" CONTENT="Mozilla/4.04 [en] (X11; I; SunOS 5.6 sun4m) [Netscape]">
   <TITLE>MUMail %VERSION_MAJOR%</TITLE>
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000EE" VLINK="#551A8B" ALINK="#FF0000">
&nbsp;
<CENTER><TABLE BORDER=0 WIDTH="100%">
<TR>
<TD><IMG SRC="Title.gif" HEIGHT=120 WIDTH=150 ALIGN=CENTER>&nbsp;</TD>

<TD>
</CENTER>
<H1>
MUMail version %VERSION_MAJOR%</H1></CENTER>
</TD>
</TR>
</TABLE></CENTER>
&nbsp;

<H2>Table of Contents</H2>
<UL>
<LI><a href="#What">What is it</a>
<LI><a href="#New">What's new</a>
<LI><a href="#Features">Features</a>
<LI><a href="#Limitations">Konwn limitations</a>
<LI><a href="#Future">Future plans</a>
<LI><a href="#Parameter">Parameter</a>
<LI><a href="#Try">How to try it</a>
<LI><a href="#Security">Security restrictions</a>
<LI><a href="#Demo">Online demo</a>
<LI><a href="#Download">Download</a>
<LI><a href="#Copyright">Copyright</a>
<LI><a href="#Licensing">Licensing</a>
<LI><a href="#Authors">The designers</a>
</UL>

<H2><a name="What"></a>
What is it</H2>
MUMail is a Java applet designed to let you read your mail from your home
page. So you can read your mail when there is no mail reader available,
or if you don't want to change the configuration of someone else's mail
reader. All you need is a Java 1.1 compliant Web browser.

<H2><a name="New"></a>
What's new</H2>

<UL>
<LI>New <A HREF="#Parameter">Parameter</A> <TT>mailAddress</TT>
</LI>
</UL>

<H2><a name="Features"></a>
Features</H2>

<UL>
<LI>
<A HREF="#Licensing">Free software</A> under the terms of the GNU General Public License</LI>

<LI>
Platform independent</LI>

<LI>
Only %JAR_SIZE% K <A HREF="#Download">JAR file</A></LI>

<LI>
Easy to use GUI</LI>

<LI>
Nice art work</LI>

<LI>
POP3 protocol support</LI>

<LI>
IMAP4 protocol support (for INBOX only)</LI>

<LI>
SMTP protocol support</LI>

<LI>
MIME compliant</LI>

<LI>
Support for most common body part types: text, multipart, image, audio,
application-octetstream</LI>

<LI>
Extendable through user supplied MIME classes</LI>
</UL>

<H2><a name="Limitations"></a>
Konwn limitations</H2>

<UL>
<LI>Maleformed MIME messages can cause Java exceptions.</LI></UL>

<H2><a name="Future"></a>
Future plans</H2>

<UL>
<LI>
Improve GUI with JFC/Swing</LI>

<LI>
IMAP4 (folder) support</LI>

</UL>

<H2><a name="Parameter"></a>
Parameter</H2>

<H4>
Applet:</H4>

Here is a list of all applet parameters MUMail knows:

<TABLE border="1">
<TR>
<TH>
Name
</TH>
<TH>
Typ
</TH>
<TH>
Description
</TH>
</TR>
<TR>
<TD>PopHost</TD>
<TD>String</TD>
<TD>name of POP3 server</TD>
</TR>
<TR>
<TD>SmtpHost</TD>
<TD>String</TD>
<TD>name of SMTP server</TD>
</TR>
<TR>
<TD>PopPort</TD>
<TD>Integer</TD>
<TD>portnumber of POP3 server (usually 110)</TD>
</TR>
<TR>
<TD>SmtpPort</TD>
<TD>Integer</TD>
<TD>portnumber of SMTP server (usually 25)</TD>
</TR>
<TR>
<TD>User</TD>
<TD>String</TD>
<TD>login name for POP3 authentication</TD>
</TR>
<TR>
<TD>Password</TD>
<TD>String</TD>
<TD>password for POP3 authentication (<font color="#FF0000">Warning: Do not use on public webpages!</font>)</TD>
</TR>
<TR>
<TD>showFontChoice</TD>
<TD>boolean</TD>
<TD>true enables changing of fonts of mail bodys view</TD>
</TR>
<TR>
<TD>novice</TD>
<TD>boolean</TD>
<TD>true disables possibility to configure server names und ports  at runtime -
useful for novice users at preconfigured sites.</TD>
</TR>
<TR>
<TD>authorizedSend</TD>
<TD>boolean</TD>
<TD>true disables possibility to send mail without authorizing on POP3 server.
After succesful login, sending is allowed; but not to change
the <em>From:</em> field.</TD>
</TR>
<TR>
<TD>headerListRows</TD>
<TD>Integer</TD>
<TD>changes the number of rows displayed in list of mail headers (1<<em>x</em><20)</TD>
</TR>
<TR>
<TD>MailDomain</TD>
<TD>String</TD>
<TD>domain name part of this sites email adresses</TD>
</TR>
<TR>
<TD>protocolSelect</TD>
<TD>boolean</TD>
<TD>true enables you to select a protocol at login screen,
currently POP3 and IMAP4</TD>
</TR>
<TR>
<TD>MailAddress</TD>
<TD>String</TD>
<TD>complete mail address for sending mail (optional, in case it differs from User@MailDomain)</TD>
</TR>
</TABLE>

<H4>
Application:</H4>

To get a list of parameters simply run MUMail as:

<TT>java&nbsp;mumail.MUMail&nbsp;-h</TT>

<H2><a name="Try"></a>
How to try it</H2>

<H4>
Applet:</H4>
Make sure your browser supports Java 1.1 applets. Browsers known to support
Java:
<UL>
<LI>
Sun's HotJava 1.1/3.0</LI>

<LI>
Netscape Navigator 4.07 and later</LI>

<LI>
Microsoft Internet Explorer 4.01 and later</LI>

<LI>
Opera</LI>

<LI>
Sun JDK 1.1 and later Appletviewer</LI>

<LI>
Also notice Sun's <A HREF="http://java.sun.com/products/activator/">Java Plug-In project</A></LI>
</UL>
Next you need a Web server and a POP3 server. Due to java's applet security
feature both
servers need to be on the same host. This restriction can be worked around
on the Sun products by disabling the corresponding security settings (see&nbsp;
<A HREF="#Security">Security Restrictions</A>).

<P>Download <TT><A HREF="MUMail.%VERSION_MINOR%.zip">MUMail.%VERSION_MINOR%.zip</A></TT>&nbsp;
(~ %ZIP_SIZE%K), <TT><A HREF="MUMail.%VERSION_MINOR%.tar.gz">MUMail.%VERSION_MINOR%.tar.gz</A></TT> (~ %TAR_SIZE%K) or <TT><A HREF="MUMail.%VERSION_MINOR%.tar.bz2">MUMail.%VERSION_MINOR%.tar.bz2</A></TT>
(~ %BZIP_SIZE%K) and unpack it in a directory that is published by your
Web server. This creates a directory called MUMail containing these files:
<UL>
<LI>
<TT>MUMail.html</TT></LI>

<LI>
<TT>MUMail.jar</TT></LI>

<LI>
<TT>MUMail.gif</TT></LI>

<LI>
<TT>Title.gif</TT></LI>

<LI>
<TT>Screenshot.gif</TT></LI>

<LI>
<TT>RELEASENOTES.html</TT></LI>

<LI>
<TT>gpl.html</TT></LI>

<LI>
<TT>philosophical-gnu-sm.jpg</TT></LI>
</UL>
Now load <EM>http://xxx.xxx.xxx/xxx/MUMail/MUMail.html</EM>
into your browser and start reading Mail.
<BR>&nbsp;
<H4>
<A NAME="Application"></A>Application:</H4>
You can also run MUMail as a java application if you have Sun's JRE or
JDK available.

<P>To start MUMail you need to copy MUMail.jar and MUMail.gif into one
directory. Change to that directory and start the class <TT>mumail.MUMail</TT>.
<BR>On a UNIX machine for example you can use a script just like the one
below. Enter the MUMail directory name, your POP3 and your SMTP server
name into the script below. Make it executable and start it.<TT></TT>

<P><TT>#!/bin/sh</TT><TT></TT>

<P><TT>MUDIR="enter your installation directory here"</TT>
<BR><TT>POPSRV="your POP3 server"</TT>
<BR><TT>SMTPSRV="your SMTP server"</TT><TT></TT>

<P><TT>cd "$MUDIR"</TT><TT></TT>

<P><TT>if [ -z "$CLASSPATH" ]; then</TT>
<BR><TT>&nbsp; if [ -n "$JAVA_HOME" ]; then</TT>
<BR><TT>&nbsp;&nbsp;&nbsp; CLASSPATH="$JAVA_HOME"/lib/classes.zip</TT>
<BR><TT>&nbsp; elif [ -n "$JDK_HOME" ]; then</TT>
<BR><TT>&nbsp;&nbsp;&nbsp; CLASSPATH="$JDK_HOME"/lib/classes.zip</TT>
<BR><TT>&nbsp; elif [ -n "$JRE_HOME" ]; then</TT>
<BR><TT>&nbsp;&nbsp;&nbsp; CLASSPATH="$JRE_HOME"/lib/classes.zip</TT>
<BR><TT>&nbsp; fi</TT>
<BR><TT>fi</TT><TT></TT>

<P><TT>java -classpath "$MUDIR"/MUMail.jar:"$CLASSPATH" mumail.MUMail \</TT>
<BR><TT>&nbsp;&nbsp;&nbsp;&nbsp; -pophost "$POPSRV" -smtphost "$SMTPSRV"</TT>
<BR><TT>&nbsp;</TT>
<H2>
<A NAME="Security"></A>Security restrictions</H2>
Java security restriction prevent an applet from connecting to any host
on the network except where the applet was loaded from. This means to MUMail
when run as an applet that it can only connect to a POP3 server on the
same host where your Web server is running.

<P>Sun's HotJava, the Appletviewer from most (SUN-based) JDK's and also
MS InternetExplorer 4/5 have ways to relax
security settings though. If you relax the security settings you will be
able to read mail from any POP3 server on the Internet.

<P>For Appletviewer you select <B><I>Properties...</I></B> from the <B><I>Applet</I></B>
menu and change <B><I>Network access:</I></B> to <B><I>Unrestricted</I></B>.

<P>For HotJava1.x select <B><I>Preferences -> Applet security... </I></B>from
the <B><I>Edit</I></B> menu and select <B><I>Medium Security</I></B> for
<B><I>Unsigned Applets</I></B>. Hit the <B><I>Apply</I></B> button and
you are all set. With medium permission set HotJava will ask permission
for all restricted actions. Just <I>allow this action</I> when you are
asked for permission to connect to your POP server.

<P>For HotJava3.0 select <B><I>Edit -> Security Preferences...</I></B>. In
the upcoming dialog switch to <B><I>Advandced</I></B> Security Administration
Mode. Select the listentry <B><I>Applet and JavaScript</I></B> and switch
to the <B><I>Ask first</I></B> choice.

<P>Microsoft InternetExplorer allows in the <B><I>Internet Option</I></B>
Dialog under tab <B><I>Security</I></B> to change also Java security
restrictions.

<P>So if you relaxed your security settings you can try the applet right
<A HREF="#Demo">here</A>.
<H2>
<A NAME="Demo"></A>Online demo</H2>

<CENTER><APPLET codebase="." code="mumail.MUMail" align="baseline" width="600" height="440" archive="MUMail.jar"><PARAM name="User" value="enter_your_name"><I>your
browser isn't Java-enabled, so you can only see a screenshot of the applet!</I>&nbsp;<IMG SRC="Screenshot.gif" BORDER=1 >&nbsp;</APPLET></CENTER>

<H2><A NAME="Download"></A>Download</H2></H2>

<UL>
<LI><TT><A HREF="MUMail.%VERSION_MINOR%.zip">MUMail.%VERSION_MINOR%.zip</A></TT>&nbsp;(~ %ZIP_SIZE%K)
<LI><TT><A HREF="MUMail.%VERSION_MINOR%.tar.gz">MUMail.%VERSION_MINOR%.tar.gz</A></TT>(~ %TAR_SIZE%K)
<LI><TT><A HREF="MUMail.%VERSION_MINOR%.tar.bz2">MUMail.%VERSION_MINOR%.tar.bz2</A></TT>(~ %BZIP_SIZE%K)
<LI><TT>Source: <A HREF="MUMail.%VERSION_MINOR%.src.tar.gz">MUMail.%VERSION_MINOR%.src.tar.gz</A></TT>(~ %SRC_SIZE%K)
<LI><TT>Old Source: <A HREF="MUMail.1.3.0.src.tar.gz">MUMail.1.3.0.src.tar.gz</A></TT>(~ 20K)
</UL>

<H2><a name="Copyright"></a>
Copyright</H2>
All copyrights by Mark T&uuml;mpfel, Uli Luckas and Steffi Schneider.
<H2>
<A NAME="Licensing"></A>Licensing</H2>

<P>
This program is free software;
you can redistribute it and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation;
either version 2 of the License, or (at your option) any later version.

<P>
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

<P>
See the
<A HREF="gpl.html">GNU General Public License</A>
for more details.

<P>The authors kindly request a picture postcard to
<UL><TT>Uli Luckas</TT>
<BR><TT>Derfflingerstr. 29</TT>
<BR><TT>D-10785 Berlin</TT>
<BR><TT>Germany</TT></UL>
from anyone who likes the product.
<H2>
<A NAME="Authors"></A>The designers</H2>

<UL>
<LI>
GUI design and implementation: Mark T&uuml;mpfel
<a href="mailto:">marktop<dummy>[a]<dummy>cs.tu-berlin.de</a></LI>

<LI>
Networking code and mail management: Uli Luckas
<A HREF="mailto:">luckas<dummy>[a]<dummy>cs.tu-berlin.de</A></LI>

<LI>
Art work: Steffi Schneider
<A HREF="mailto:">Schneider.Steffi<dummy>[a]<dummy>web.de</A></LI>
</UL>

<CENTER>
<HR WIDTH="100%"><FONT SIZE=-2>This page has been accessed&nbsp;<accessed>
times.</FONT></CENTER>

</BODY>
</HTML>
